Subject: bug#72118: closed (Re: bug#72118: [PATCH] Option -Q is ignored on PGTK when accompanied by --display)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Aug 2024 08:08:02 +0000

Your bug report

#72118: Option -Q is ignored on PGTK when accompanied by --display

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72118: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72118
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72118: [PATCH] Option -Q is ignored on PGTK when accompanied by --display
From: Eli Zaretskii <[email-masked]>
To: Po Lu <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 17 Aug 2024 11:06:34 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Po Lu <[email-masked]>
> Cc: Peter Oliver <[email-masked]>,  [email-masked]
> Date: Sun, 04 Aug 2024 15:59:28 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Po Lu, any objections to installing this on the emacs-30 branch?
> 
> No, please go ahead.

Now done, and closing the bug.

Subject: Option -Q is ignored on PGTK when accompanied by --display
From: Peter Oliver <[email-masked]>
To: [email-masked]
Date: Sun, 14 Jul 2024 21:48:12 +0100 (BST)
List-Id: <debbugs-submit.debbugs.gnu.org>

When Emacs 29.4 is built with PGTK, I am surprised by the behaviour of the following shell command:

emacs --display :1 -Q

My ~/.emacs is loaded, not skipped!  However, if I run the following, it is skipped as expected:

emacs -d :1 -Q

I have a patch, which I shall send in shortly…

-- 
Peter Oliver